%define name mercury
%define fakename %{name}-compiler

Name: %{name}
Version: 0.10
Release: 1mdk
Summary: The logic/functional programming language Mercury
Source: ftp://ftp.csd.uu.se/pub/Mercury/%{fakename}-%{version}.tar.bz2
Patch0: mercury-force-dynamic.patch.bz2
Copyright: GPL and LGPL
Group: Development/Other
URL: http://www.cs.mu.oz.au/mercury/
Packager: Pixel <pixel@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}

%description
Mercury is a modern logic/functional programming language, which combines
the clarity and expressiveness of declarative programming with advanced
static analysis and error detection features.  Its highly optimized
execution algorithm delivers efficiency far in excess of existing logic
programming systems, and close to conventional programming
systems. Mercury addresses the problems of large-scale program
development, allowing modularity, separate compilation, and numerous
optimization/time trade-offs.

This package includes the compiler, profiler, debugger, documentation, etc.
It does NOT include the "extras" distribution; that is available
from <http://www.cs.mu.oz.au/mercury/download/release.html>.

%prep
%setup -n %{fakename}-%{version}
#%patch -p1

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

p=$RPM_BUILD_ROOT/usr

make install INSTALL_PREFIX=$p

(
    cd $RPM_BUILD_ROOT
    install -d usr/share
    mv -f usr/man usr/info usr/share
)
rm -rf $p/lib/mercury/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_install_info mercury.info}

%preun
%{_remove_install_info mercury.info}

%files
%defattr(-,root,root)
%doc doc/*.html
%{_bindir}/*
%{_infodir}/%{name}*
%{_libdir}/%{name}
%{_mandir}/*/*


%changelog
* Sat Feb 24 2001 Pixel <pixel@mandrakesoft.com> 0.10-1mdk
- new version

* Sun Sep  3 2000 Pixel <pixel@mandrakesoft.com> 0.9.1-5mdk
- rebuild and fix

* Wed Aug 23 2000 Pixel <pixel@mandrakesoft.com> 0.9.1-4mdk
- add packager field

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 0.9.1-3mdk
- macrozaition, BM

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 0.9.1-2mdk
- new group + cleanup

* Wed Feb  9 2000 Pixel <pixel@mandrakesoft.com> 0.9.1-1mdk
- new version

* Mon Dec  6 1999 Pixel <pixel@linux-mandrake.com>
- first version

